#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

project( certmanager )

include( ConfigureChecks.cmake )

tde_import( libtdenetwork )

add_subdirectory( lib )
add_subdirectory( conf )
add_subdirectory( kwatchgnupg )
add_subdirectory( icons )

add_definitions( -DLIBKLEOPATRA_NO_COMPAT )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/lib
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${CMAKE_SOURCE_DIR}/libtdenetwork
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kleopatra.desktop kleopatra_import.desktop
  PO_DIR certmanager-desktops
)

install( FILES kleopatraui.rc DESTINATION ${DATA_INSTALL_DIR}/kleopatra )


##### kleopatra (executable) ####################

tde_add_executable( kleopatra AUTOMOC
  SOURCES
    customactions.cpp aboutdata.cpp main.cpp certmanager.cpp
    hierarchyanalyser.cpp certificatewizard.ui certificatewizardimpl.cpp
    certificateinfowidget.ui certificateinfowidgetimpl.cpp
    crlview.cpp storedtransferjob.cpp certlistview.cpp
  LINK conf-static kleopatra-shared tdeutils-shared tdeabc-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

tde_install_export( )
